Subject: Re: bug#22959: Emacs on Windows depends on libwinpthreads

From: Fabrice Popineau <[email-masked]>
Date: Sun, 17 Apr 2016 21:31:31 +0200

I know you have been doing an amazing job at providing carefully configured
binary packages
for MinGW, but the situation is little bit more messy with MSys2/MingW64.
And I don't have time
to go the same way you did.

Let's do some cleaning then.

> > and the dll list is:
> >
> > /c/Local/Emacs/bin/libasprintf-0.dll*
>
> Shouldn't be needed.
>

Agreed, after checking.

>
> > /c/Local/Emacs/bin/libp11-kit-0.dll*
>
> You should tell whoever build that GnuTLS to omit libp11-kit, it's
> generally useless on Windows, certainly with Emacs.

Ok.

>
>
> /c/Local/Emacs/bin/libgnutlsxx-28.dll*
>
> Shouldn't be required, as long as Emacs is not a C++ program.
>

Agreed.

> /c/Local/Emacs/bin/libcharset-1.dll*
>
>
Agreed

> Shouldn't be required.
>
> >  /c/Local/Emacs/bin/libpangoft2-1.0-0.dll*
> > /c/Local/Emacs/bin/libgraphite2.dll*
> > /c/Local/Emacs/bin/libfontconfig-1.dll*
> > /c/Local/Emacs/bin/libfreetype-6.dll*
>
> Whoever built Cairo didn't take care of disabling features unneeded on
> Windows for librsvg.  The result is a very fat build of Cairo, for no
> good reason.
>

I have no insight on this. I think cairo is built independently

>
> > /c/Local/Emacs/bin/libpcre-1.dll*
>

is required by glib, itself required by cairo-gobject, croco, gdk_pixbuf,
gio, gmodule, gobject.

> > /c/Local/Emacs/bin/libexpat-1.dll*
>

Required by fontconfig.

> > /c/Local/Emacs/bin/libharfbuzz-0.dll*
>

Is required by libfreetype-6.dll
Which itself is required by libcairo-2.dll

>
> Are these also from librsvg dependencies?  If so, they are just
> ballast, AFAIK.
>
> > /c/Local/Emacs/bin/libfftw3-3.dll*
>
> Which library needs this one?
>
> MagickCore

> >  /c/Local/Emacs/bin/libidn-11.dll*
>
> Which library needs this one?
>
> GnuTLS

> >  /c/Local/Emacs/bin/libstdc++-6.dll*
>
>
Required by graphite

> > /c/Local/Emacs/bin/libgcc_s_seh-1.dll*
>
> Is required by libcairo-2.dll and its dependencies : libfontconfig-1.dll,
libpixman-1-0.dll

> >  /c/Local/Emacs/bin/liblcms2-2.dll*
>
> Which library needs this?
>

MagickCore

> > /c/Local/Emacs/bin/libtiffxx-5.dll*
>
> This is for C++ program, AFAIK.
>
> Agreed, removed.

> > /c/Local/Emacs/bin/libgettextpo-0.dll*
>
> Shouldn't be needed.
>
> Agreed, removed.

> > /c/Local/Emacs/bin/liblqr-1-0.dll*
>
> What is this library?
>
>
MagickCore

> > /c/Local/Emacs/bin/libltdl-7.dll*
>
> Which library needs this one?
>

MagickCore

Fabrice